%define	name	powermanga
%define	version	0.90
%define	Summary	Shoot 'em up game with 3D graphics

Summary: 	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%mkrel 10
License:	GPLv3+
Group:		Games/Arcade
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
Source0:	http://linux.tlk.fr/games/Powermanga/download/%{name}-%{version}.tgz
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
URL:		http://linux.tlk.fr/games/Powermanga/

Requires(post):		rpm-helper
Requires(postun):	rpm-helper

%description
In this "shoot 'em up" with 3d graphics, you'll have to face and destroy
more than 60 different types of opponents. Nice musics, many weapons, and
a ton of surprises.

%prep
%setup -q
#(peroyvind) fix path to scoredir
perl -pi -e "s#/var/games#%{_localstatedir}/lib/games#g" src/Makefile.in

%build
%configure2_5x	--mandir=%{_mandir}/man6
%make

%install
rm -rf %{buildroot}
%{makeinstall_std}

install -d install %{buildroot}%{_gamesdatadir}/%{name}/texts
install -m 644 texts/*.txt texts/*.ini %{buildroot}%{_gamesdatadir}/%{name}/texts

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=PowerManga
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%post
%create_ghostfile %{_localstatedir}/lib/games/%{name}.hi root games 664
%create_ghostfile %{_localstatedir}/lib/games/%{name}.hi-easy root games 664
%create_ghostfile %{_localstatedir}/lib/games/%{name}.hi-hard root games 664

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README
%attr(-, root, games) %{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_mandir}/man6/%{name}.6*
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%attr(664, root, games) %ghost %{_localstatedir}/lib/games/%{name}.hi
%attr(664, root, games) %ghost %{_localstatedir}/lib/games/%{name}.hi-easy
%attr(664, root, games) %ghost %{_localstatedir}/lib/games/%{name}.hi-hard


%changelog
* Tue Apr 26 2011 wally <wally> 0.90-10.mga1
+ Revision: 91815
- fix desktop file name (mga#954)
- fix exec line in desktop file
- drop buildroot definition

* Wed Mar 09 2011 nanardon <nanardon> 0.90-9.mga1
+ Revision: 66799
- old mdv cleanup
- imported package powermanga


* Mon Feb 07 2011 Funda Wang <fwang@mandriva.org> 0.90-9mdv2011.0
+ Revision: 636577
- tighten BR
- tighten BR

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.90-8mdv2011.0
+ Revision: 607198
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.90-7mdv2010.1
+ Revision: 523698
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.90-6mdv2010.0
+ Revision: 426774
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.90-5mdv2009.1
+ Revision: 351634
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.90-4mdv2008.1
+ Revision: 179249
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 25 2007 Adam Williamson <awilliamson@mandriva.org> 0.90-3mdv2008.0
+ Revision: 92912
- drop the patch again (the bug was fixed upstream with a silent tarball replacement)
- replace tarball from upstream
- fd.o icons
- improve summary and description a bit
- add powermanga-0.90-fontpath.patch to fix font path (#34094)

* Tue Sep 04 2007 Funda Wang <fwang@mandriva.org> 0.90-2mdv2008.0
+ Revision: 79011
- build on x86_64 too
- GPLv3 now

* Tue Sep 04 2007 Funda Wang <fwang@mandriva.org> 0.90-1mdv2008.0
+ Revision: 78987
- BR png-devel
- Newversion 0.90

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Fri Dec 01 2006 Olivier Blin <oblin@mandriva.com> 0.80-2mdv2007.0
+ Revision: 89894
- install texts files to be able to start the game (#23612)
- remove old comment
- Import powermanga

* Fri Jun 30 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.80-1mdv2007.0
- 0.80
- %%mkrel
- add xdg menu
- update url
- fix prereq-use

* Thu Aug 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.79-1mdk
- 0.79
- cosmetics

* Tue Aug 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.78-4mdk
- Rebuild with new menu

* Sat Jun 05 2004 <lmontel@n2.mandrakesoft.com> 0.78-3mdk
- Rebuild

